<?php


namespace app\cbcrm\controller;


use app\base\model\BaseModel;
use think\facade\Db;

class Basic extends BaseUser
{
    public function getAppInfo(){
        $appInfo = Db::table("kt_base_user_openapp")->where('wid',$this->wid)->where('code','cbcrm')->find();
        return success("当前应用信息",$appInfo);
    }

    /*
     * 获取地区
     * */
    public function getRegionTree()
    {
        $areaData = Db::table('cb_crm_area')->order('id','asc')->cache('areaData',604800,'area')->field('id,pid,level,name,shortname')->select();
        $treeData = $this->getTreeList($areaData);
        return success('返回成功',$treeData);
    }

    /**
     * 格式化为树状格式
     * @param $allList
     * @return array
     */
    private function getTreeList($allList)
    {
        $treeList = [];
        foreach ($allList as $pKey => $province) {
            if ($province['level'] == 1) {    // 省份
                $treeList[$province['id']] = $province;
                unset($allList[$pKey]);
                foreach ($allList as $cKey => $city) {
                    if ($city['level'] == 2 && $city['pid'] == $province['id']) {    // 城市
                        $treeList[$province['id']]['city'][$city['id']] = $city;
                        unset($allList[$cKey]);
                        foreach ($allList as $rKey => $region) {
                            if ($region['level'] == 3 && $region['pid'] == $city['id']) {    // 地区
                                $treeList[$province['id']]['city'][$city['id']]['region'][$region['id']] = $region;
                                unset($allList[$rKey]);
                            }
                        }
                    }
                }
            }
        }
        return $treeList;
    }

    /**
     * 生成后缀图标
     */
    public function icon()
    {
        $file = request()->get("file");
        $suffix = substr($file, strrpos($file, '.')+1);
        header('Content-type: image/svg+xml');
        $suffix = $suffix ? $suffix : "FILE";
        echo build_suffix_image($suffix);
        exit;
    }
}
