<?php


namespace app\cbcrm\controller\manage;


use app\cbcrm\controller\BaseUser;
use app\cbcrm\model\manage\DepartmentModel;
use app\cbcrm\model\manage\StaffModel;
use think\Request;

class Department extends BaseUser
{
    protected $model = null;

    public function __construct(Request $request)
    {
        parent::__construct($request);

        $this->model = new DepartmentModel();
    }

    public function index()
    {
        $list = $this->model->getList($this->wid);

        $departmentData = getTreeData($list,0);

        return success('返回成功',$departmentData);
    }

    // 获取所在部门下级部门列表
    public function getDepartmentList()
    {
        $list = $this->model->getList($this->wid);
        $department_id = 0;
        if (!$this->user['isSuper']) {
            $department_id = $this->user['department_id'];
        }
        $departmentData = buildTree($list,$department_id);

        return success('返回成功',$departmentData);
    }

    // 获取某个部门的员工数据
    public function getDepartmentStaffList(){
        $department_id = \request()->get('department_id',0,'intval');
        if (!$department_id) {
            return success('返回成功',[]);
        }
        $staffIds = $this->getDepartmentStaffIds($department_id,$this->user['id'],true);
        $staffList = (new StaffModel())->where('wid',$this->wid)->where('id','IN',$staffIds)->field('id,nickname')->select();
        return success('返回成功',$staffList);
    }

    public function add()
    {
        $params = \request()->post('form');
        $params['wid'] = $this->wid;
        $result = $this->model->saveData($params);
        if ($result) {
            return success('添加成功');
        }else{
            return error('添加失败');
        }
    }

    public function edit()
    {
        $id = \request()->post('id',0,'intval');
        $params = \request()->post('form');
        $params['wid'] = $this->wid;
        $row = $this->model->where('id',$id)->find();
        if (!$row) {
            return error('内容未找到');
        }
        $result = $row->save($params);
        if ($result) {
            return success('编辑成功');
        }else{
            return error('编辑失败');
        }
    }

    public function del()
    {
        $id = \request()->delete('id',0,'intval');
        $row = $this->model->where('id',$id)->where('wid',$this->wid)->find();
        if (!$row) {
            return error('未找到该内容');
        }
        $row->delete();
        return success('删除成功');
    }
}
