<?php
// +----------------------------------------------------------------------
// | [KtAdmin] Copyright (c) 2022 [ktadmin.cn] [kt8.cn]
// +----------------------------------------------------------------------
// | KtAdmin is NOT a free software, it under the license terms, visited http://www.kt8.cn/ for more details.
// +----------------------------------------------------------------------

declare (strict_types = 1);

namespace app\cbcrm\controller\user;
use app\cbcrm\controller\BaseUser;
use app\cbcrm\model\admin\AuthMenuModel;
use app\cbcrm\model\manage\StaffModel;
use Ramsey\Uuid\Uuid;
use think\facade\Db;

class Index extends BaseUser
{
    public function login()
    {
        if(!$this->req->isPost()) return error('请使用POST请求');
        $username = $this->req->param('username');
        $password = $this->req->param('password');
        if(!$username) return error('请输入登录账号');
        if(!$password) return error('请输入登录密码');
        $where = [
            ['un', '=', $username],
            ['telephone', '=', $username],
            ['email','=',$username]
        ];
        $user = Db::table('kt_base_user')->whereOr($where)->find();
        $staff = Db::table('cb_crm_staff')->where('username',$username)->find();
        $token = null;
        if (!$user && !$staff) {
            return error('用户不存在');
        }
        if ($user) {
            if($user['pwd'] != md5($password) && $user['pwd'] != ktEncrypt($password)) return error('帐号或密码错误');
            if($user['isstop'] != 1 ) return error('账号审核中或已停用');
            // if(strtotime($user['mendtime']) <= time()) return error('账号已到期');
            $token = $user['token'] && $user['expire_time'] > time() ? $user['token'] : Uuid::uuid1();
            Db::table('kt_base_user')->where('id',$user['id'])->inc('logtimes')->update(['token'=>"{$token}",'expire_time'=> time() + (7*24*3600),'lasttime'=>date("Y-m-d H:i:s")]);
            Db::table('kt_base_loginlog')->insert([
                'admin' => 2 ,
                'wid' => $user['id'],
                'uip' => $this->req->ip(),
                'create_time' => date("Y-m-d H:i:s")
            ]);
        }
        if ($staff) {
            if($staff['password'] != md5($password) && $staff['password'] != ktEncrypt($password,$staff['salt'])) return error('帐号或密码错误');
            if($staff['status'] != 1) return error('账号已停用');
            $agent = Db::table('kt_base_user')->where('id',$staff['wid'])->find();
            if (!$agent || $agent['isstop'] != 1) {
                return error('主账号已停用');
            }
            $mend_time = Db::table('kt_base_user_openapp')->where('wid',$staff['wid'])->value('mend_time');
            if (!$mend_time || strtotime($mend_time) <= time()) {
                return error('主账号已到期');
            }

            $token = $staff['token'] && $staff['expire_time'] > time() ? $staff['token'] : Uuid::uuid1();
            Db::table('cb_crm_staff')
                ->where('id', $staff['id'])
                ->update([
                    'token' => "{$token}",
                    'expire_time' => time() + (7 * 24 * 3600),
                    'login_ip' => request()->ip(),
                    'last_time' => date("Y-m-d H:i:s")
                ]);
        }

        return success('登录成功',['token'=>$token]);
    }

    public function getUserInfo()
    {
        $userInfo = $this->user;
        unset($userInfo['pwd'],$userInfo['password'],$userInfo['salt']);
        $data = [
            'userInfo'=>$userInfo,
            'roles'=>[
                'isSuper'=>$userInfo['isSuper'],
                'permissions'=>!$userInfo['isSuper']?(new AuthMenuModel())->getUserAuthMenu($userInfo['role_id']):[]
            ]
        ];
        return success('返回成功',$data);
    }



    public function logout(){

    }
}
