<?php
// +----------------------------------------------------------------------
// | [KtAdmin] Copyright (c) 2022 [ktadmin.cn] [kt8.cn]
// +----------------------------------------------------------------------
// | KtAdmin is NOT a free software, it under the license terms, visited http://www.kt8.cn/ for more details.
// +----------------------------------------------------------------------

declare (strict_types = 1);

namespace app\cbcrm\middleware;
use think\facade\Db;
use think\facade\Log;
use think\facade\Session;

class check
{
    protected $whiteList = [
        '/',
    ];
    /**
     * 处理请求
     *
     * @param \think\Request $request
     * @param \Closure       $next
     * @return Response
     */

    public function handle($request, \Closure $next)
    {
        //前后端分离建议token缓存到本地，请求接口时token放到Header中(注意要注释掉下面session部分)
        $token = $request->header('UserToken');
        if(request()->get('token')){
            return redirect($request->domain().$request->baseUrl());
        }
        $url   = strtolower($request->baseUrl()); //获取url地址, 不带域名,然后小写,
        if(in_array($url,$this->whiteList)) return $next($request);
        if(!$token) return error('缺少参数UserToken');
        $user = $staff = null;
        $user = Db::table('kt_base_user')->where([['token', '=', $token],['expire_time','>',time()]])->find();
        if ($user) {
            Db::table('kt_base_user')->where('id',$user['id'])->update(['expire_time'=> time() + (7*24*3600) ]);
            return $next($request);
        }else{
            $staff = Db::table('cb_crm_staff')->where([['token', '=', $token],['expire_time','>',time()]])->find();
            Db::table('cb_crm_staff')->where('id',$staff['id'])->update(['expire_time'=> time() + (7*24*3600) ]);
            return $next($request);
        }
        if(!$user || !$staff) return error('无效的UserToken');

        return $next($request);



    }
}
