<?php


namespace app\cbcrm\model\admin;


use app\cbcrm\model\manage\RoleModel;
use think\Model;
/**
 * 权限菜单
 * */
class AuthMenuModel extends Model
{
    protected $table = 'cb_crm_menu';

    public function getList()
    {
        $list = $this->order('sort','desc')->order('id','asc')->paginate();

        return $list;
    }

    public function saveData($params)
    {
        $result = $this->save($params);

        return $result;
    }

    public function getUserAuthMenu($role_id){
        // 1.查询用户角色
        // 2.获取角色菜单权限
        // 3.组合菜单数据
        // 4.按钮权限  actionEntitySet = [{describe: "新增", action: "add"}]
        $where = [
            ['status','=',1]
        ];
        if ($role_id) {
            $roleModel = app()->make(RoleModel::class);

            $roles = $roleModel->where('id',$role_id)->value('roles');

            $where[] = ['id','IN',$roles];
        }
        $menuList = $this->where($where)->order('sort','desc')->order('id','asc')->select();
        $menuData = [];
        foreach ($menuList as $menu) {
            $data = [
                'actionEntitySet' => [],
                'name' => $menu->getAttr('name'),
                'id' => $menu->id,
                'permissionId' => $menu->path
            ];
            array_push($menuData, $data);
        }
        foreach ($menuData as $key=>$menu) {
            foreach ($menuList as $item) {
                if ($menu['id'] == $item->parent_id && $item->menu_type == 2) {
                    $actionEntitySet = [
                        'describe'=>$item->getAttr('name'),
                        'action'=>$item->getAttr('action_mark'),
                    ];
                    $menuData[$key]['actionEntitySet'][] = $actionEntitySet;
                }
            }
        }
        return $menuData;
    }

    public function getRoleMenu($role_id)
    {
        $where = [
            ['status','=',1]
        ];
        if ($role_id) {
            $roleModel = app()->make(RoleModel::class);

            $roles = $roleModel->where('id',$role_id)->value('roles');

            $where[] = ['id','IN',$roles];
        }
        $menuList = $this->where($where)->order('sort','desc')->order('id','asc')->select();
        return getTreeData($menuList,0);

    }
}
