<?php


namespace app\cbcrm\model\manage;


use think\Model;
use think\model\concern\SoftDelete;

class StaffModel extends Model
{
    use SoftDelete;

    protected $table = 'cb_crm_staff';

    public function getList($where,$listRows = 15)
    {
        $list = $this->where($where)->with(['department','role'])->order('sort','desc')->order('id','asc')->paginate($listRows);
        foreach ($list as $item){
            $item->hidden(['password','salt']);
        }
        return $list;
    }

    public function saveData($params)
    {
        $result = $this->save($params);

        return $result;
    }

    public function department()
    {
        return $this->hasOne(DepartmentModel::class,'id','department_id');
    }

    public function role(){
        return $this->hasOne(RoleModel::class,'id','role_id');
    }
}
