CREATE TABLE `cb_crm_menu`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `menu_type` tinyint(1) NOT NULL DEFAULT 1 COMMENT '模块类型(1菜单 2按钮)',
  `name` varchar(255) NOT NULL COMMENT '菜单名称',
  `path` varchar(255) NOT NULL COMMENT '菜单路径(唯一)',
  `action_mark` varchar(255) NOT NULL DEFAULT '' COMMENT '操作标识',
  `parent_id` int(11) NOT NULL DEFAULT 0 COMMENT '上级菜单ID',
  `sort` int(10) NOT NULL DEFAULT 0 COMMENT '排序(数字越大越靠前)',
  `create_time` datetime(0) NOT NULL COMMENT '添加时间',
  `update_time` datetime(0) NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`)
);
ALTER TABLE `cb_crm_menu` 
MODIFY COLUMN `menu_type` tinyint(1) NOT NULL DEFAULT 1 COMMENT '模块类型(1菜单 2按钮)' AFTER `id`,
ADD COLUMN `status` tinyint(1) NOT NULL DEFAULT 1 COMMENT '状态:1=正常,0=隐藏' AFTER `sort`;

CREATE TABLE `cb_crm_department`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `wid` int(11) NOT NULL COMMENT '账户id',
  `parent_id` int(11) NOT NULL DEFAULT 0 COMMENT '上级部门ID',
  `name` varchar(255) NOT NULL COMMENT '部门名称',
  `status` tinyint(1) NOT NULL DEFAULT 1 COMMENT '状态:1=正常,2=禁用',
  `sort` int(11) NOT NULL COMMENT '排序',
  `create_time` datetime(0) NOT NULL COMMENT '创建时间',
  `update_time` datetime(0) NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`)
) COMMENT = '组织架构';
CREATE TABLE `cb_crm_role`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) NOT NULL COMMENT '上级角色',
  `name` varchar(255) NOT NULL COMMENT '角色名称',
  `roles` text NOT NULL COMMENT '角色权限',
  `status` tinyint(1) NOT NULL DEFAULT 0 COMMENT '状态:1=正常,2=禁用',
  `sort` int(11) NOT NULL DEFAULT 0 COMMENT '排序',
  `create_time` datetime(0) NOT NULL COMMENT '创建时间',
  `update_time` datetime(0) NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`)
) COMMENT = '职位角色';
ALTER TABLE `cb_crm_role` 
ADD COLUMN `wid` int(11) NOT NULL COMMENT '账户ID' AFTER `id`;
CREATE TABLE `cb_crm_staff`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `wid` int(11) NOT NULL COMMENT '归属账户',
  `username` varchar(255) NOT NULL COMMENT '登录帐号',
  `password` varchar(255) NOT NULL COMMENT '登录密码',
  `salt` varchar(10) NOT NULL COMMENT '密码盐',
  `nickname` varchar(255) NOT NULL COMMENT '员工姓名',
  `department_id` int(11) NOT NULL COMMENT '所在部门',
  `role_id` int(11) NOT NULL COMMENT '职位角色',
  `sort` int(10) NOT NULL DEFAULT 0 COMMENT '排序',
  `status` tinyint(1) NOT NULL DEFAULT 1 COMMENT '状态:1=正常,2=禁用',
  `login_ip` varchar(36) COMMENT '最后登录IP',
  `last_time` datetime(0) COMMENT '最后登录时间',
  `create_time` datetime(0) NOT NULL COMMENT '创建时间',
  `update_time` datetime(0) NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`)
) COMMENT = '员工管理';
ALTER TABLE `cb_crm_staff` 
ADD COLUMN `delete_time` datetime(0) DEFAULT NULL COMMENT '删除时间' AFTER `update_time`;
ALTER TABLE `cb_crm_staff` 
ADD COLUMN `mobile` varchar(255) COMMENT '员工手机号' AFTER `nickname`;
ALTER TABLE `cb_crm_staff` 
ADD COLUMN `token` varchar(255) COMMENT '登录token' AFTER `last_time`;
ALTER TABLE `cb_crm_staff` 
ADD COLUMN `expire_time` int(11) COMMENT 'token过期时间' AFTER `token`;
ALTER TABLE `cb_crm_department` 
ADD COLUMN `staff_ids` varchar(4000) COMMENT '部门负责人' AFTER `name`;
ALTER TABLE `cb_crm_customer` 
ADD COLUMN `is_super` tinyint(1) NOT NULL DEFAULT 0 COMMENT '是否为超管录入:0=否,1=是' AFTER `staff_id`;
ALTER TABLE `cb_crm_staff` AUTO_INCREMENT = 100000;
-- ----------------------------
-- Records of cb_crm_menu
-- ----------------------------
INSERT INTO `cb_crm_menu` VALUES (1, 1, '工作台', '/index', '', 0, 0, 1, '2023-08-22 11:23:16', '2023-08-22 11:23:16');
INSERT INTO `cb_crm_menu` VALUES (2, 1, '客户', '/customer', '', 0, 0, 1, '2023-08-22 11:24:34', '2023-08-22 13:57:11');
INSERT INTO `cb_crm_menu` VALUES (3, 1, '商品', '/goods', '', 0, 0, 1, '2023-08-22 13:57:06', '2023-08-22 13:57:06');
INSERT INTO `cb_crm_menu` VALUES (4, 1, '知产', '/trademark', '', 0, 0, 1, '2023-08-22 13:57:32', '2023-08-22 13:57:32');
INSERT INTO `cb_crm_menu` VALUES (5, 1, '订单', '/order', '', 0, 0, 1, '2023-08-22 13:57:58', '2023-08-22 13:57:58');
INSERT INTO `cb_crm_menu` VALUES (6, 1, '会员', '/user', '', 0, 0, 1, '2023-08-22 13:58:14', '2023-08-22 13:58:14');
INSERT INTO `cb_crm_menu` VALUES (7, 1, '网站', '/content', '', 0, 0, 1, '2023-08-22 13:58:28', '2023-08-22 13:58:28');
INSERT INTO `cb_crm_menu` VALUES (8, 1, '营销', '/market', '', 0, 0, 1, '2023-08-22 13:58:41', '2023-08-22 13:58:41');
INSERT INTO `cb_crm_menu` VALUES (9, 1, '报表', '/statistics', '', 0, 0, 1, '2023-08-22 13:58:57', '2023-08-22 13:58:57');
INSERT INTO `cb_crm_menu` VALUES (10, 1, '渠道', '/client', '', 0, 0, 1, '2023-08-22 13:59:11', '2023-08-22 13:59:11');
INSERT INTO `cb_crm_menu` VALUES (11, 1, '设置', '/setting', '', 0, 0, 1, '2023-08-22 14:01:14', '2023-08-22 14:01:14');
INSERT INTO `cb_crm_menu` VALUES (12, 1, '客户列表', '/customer/customer/index', '', 2, 0, 1, '2023-08-22 14:04:57', '2023-08-22 14:04:57');
INSERT INTO `cb_crm_menu` VALUES (13, 2, '添加客户', '/customer/customer/create', 'add', 12, 0, 1, '2023-08-22 14:06:08', '2023-08-22 14:06:08');
INSERT INTO `cb_crm_menu` VALUES (14, 2, '编辑客户', '/customer/customer/edit', 'edit', 12, 0, 1, '2023-08-22 14:06:55', '2023-08-22 14:06:55');
INSERT INTO `cb_crm_menu` VALUES (15, 1, '联系人', '/customer/contacts/index', '', 2, 0, 1, '2023-08-22 14:08:46', '2023-08-22 14:08:46');
INSERT INTO `cb_crm_menu` VALUES (16, 1, '商品列表', '/goods/index', '', 3, 0, 1, '2023-08-22 14:10:50', '2023-08-22 14:10:50');
INSERT INTO `cb_crm_menu` VALUES (17, 2, '创建商品', '/goods/create', 'add', 16, 0, 1, '2023-08-22 14:12:08', '2023-08-22 14:14:58');
INSERT INTO `cb_crm_menu` VALUES (18, 2, '编辑商品', '/goods/update', 'edit', 16, 0, 1, '2023-08-22 14:12:24', '2023-08-22 14:12:24');
INSERT INTO `cb_crm_menu` VALUES (19, 1, '商品分类', '/goods/category/index', '', 3, 0, 1, '2023-08-22 14:12:48', '2023-08-22 14:12:48');
INSERT INTO `cb_crm_menu` VALUES (20, 1, '商标订单', '/trademark/trademark/order', '', 26, 0, 1, '2023-08-22 14:16:18', '2023-08-22 14:16:18');
INSERT INTO `cb_crm_menu` VALUES (21, 1, '商标服务订单', '/trademark/trademark/service', '', 26, 0, 1, '2023-08-22 14:16:38', '2023-08-22 14:16:38');
INSERT INTO `cb_crm_menu` VALUES (22, 1, '商标发文', '/trademark/trademark/file', '', 26, 0, 1, '2023-08-22 14:16:53', '2023-08-22 14:16:53');
INSERT INTO `cb_crm_menu` VALUES (23, 1, '发文索取', '/trademark/trademark/file_fetches', '', 26, 0, 1, '2023-08-22 14:17:07', '2023-08-22 14:17:07');
INSERT INTO `cb_crm_menu` VALUES (24, 1, '商标申请人', '/trademark/trademark/applyer', '', 26, 0, 1, '2023-08-22 14:17:21', '2023-08-22 14:17:21');
INSERT INTO `cb_crm_menu` VALUES (25, 1, '商标产品', '/trademark/trademark/product', '', 26, 0, 1, '2023-08-22 14:17:33', '2023-08-22 14:17:33');
INSERT INTO `cb_crm_menu` VALUES (26, 1, '商标服务', '/trademark/trademark', '', 4, 0, 1, '2023-08-22 14:18:54', '2023-08-22 14:18:54');
INSERT INTO `cb_crm_menu` VALUES (27, 1, '版权服务', '/trademark/copyright', '', 4, 0, 1, '2023-08-22 14:20:04', '2023-08-22 14:20:04');
INSERT INTO `cb_crm_menu` VALUES (28, 1, '版权登记订单', '/trademark/copyright/order', '', 27, 0, 1, '2023-08-22 14:20:46', '2023-08-22 14:20:46');
INSERT INTO `cb_crm_menu` VALUES (29, 1, '版权产品', '/trademark/copyright/product', '', 27, 0, 1, '2023-08-22 14:20:57', '2023-08-22 14:20:57');
INSERT INTO `cb_crm_menu` VALUES (30, 1, 'LOGO设计', '/trademark/logo', '', 4, 0, 1, '2023-08-22 14:21:22', '2023-08-22 14:21:22');
INSERT INTO `cb_crm_menu` VALUES (31, 1, 'LOGO订单', '/trademark/logo/order', '', 30, 0, 1, '2023-08-22 14:21:53', '2023-08-22 14:21:53');
INSERT INTO `cb_crm_menu` VALUES (32, 1, 'LOGO套餐', '/trademark/logo/package', '', 30, 0, 1, '2023-08-22 14:22:06', '2023-08-22 14:22:06');
INSERT INTO `cb_crm_menu` VALUES (33, 1, '行业案例', '/trademark/logo/case', '', 30, 0, 1, '2023-08-22 14:22:22', '2023-08-22 14:22:22');
INSERT INTO `cb_crm_menu` VALUES (34, 1, 'VI服务', '/trademark/logo/logovi', '', 30, 0, 1, '2023-08-22 14:22:35', '2023-08-22 14:22:35');
INSERT INTO `cb_crm_menu` VALUES (35, 1, '附加服务', '/trademark/logo/other', '', 30, 0, 1, '2023-08-22 14:22:46', '2023-08-22 14:22:46');
INSERT INTO `cb_crm_menu` VALUES (36, 1, '全部订单', '/order/list/all', '', 5, 0, 1, '2023-08-22 14:24:50', '2023-08-22 14:24:50');
INSERT INTO `cb_crm_menu` VALUES (37, 1, '待付款', '/order/list/pay', '', 5, 0, 1, '2023-08-22 14:24:50', '2023-08-22 14:24:50');
INSERT INTO `cb_crm_menu` VALUES (38, 1, '待发货', '/order/list/delivery', '', 5, 0, 1, '2023-08-22 14:25:52', '2023-08-22 14:25:52');
INSERT INTO `cb_crm_menu` VALUES (39, 1, '待收货', '/order/list/receipt', '', 5, 0, 1, '2023-08-22 14:26:01', '2023-08-22 14:26:01');
INSERT INTO `cb_crm_menu` VALUES (40, 1, '已完成', '/order/list/complete', '', 5, 0, 1, '2023-08-22 14:26:13', '2023-08-22 14:26:13');
INSERT INTO `cb_crm_menu` VALUES (41, 1, '已取消', '/order/list/cancel', '', 5, 0, 1, '2023-08-22 14:26:38', '2023-08-22 14:26:38');
INSERT INTO `cb_crm_menu` VALUES (42, 2, '订单详情', '/order/detail', 'detail', 5, 0, 1, '2023-08-22 14:27:01', '2023-08-23 10:20:50');
INSERT INTO `cb_crm_menu` VALUES (43, 1, '售后管理', '/order/refund/index', '', 5, 0, 1, '2023-08-22 14:27:42', '2023-08-22 14:27:42');
INSERT INTO `cb_crm_menu` VALUES (44, 2, '售后单详情', '/order/refund/detail', 'detail', 5, 0, 1, '2023-08-22 14:28:10', '2023-08-22 14:30:56');
INSERT INTO `cb_crm_menu` VALUES (45, 1, '订单处理', '/order/tools', '', 5, 0, 1, '2023-08-22 14:31:28', '2023-08-22 14:31:28');
INSERT INTO `cb_crm_menu` VALUES (46, 1, '订单导出', '/order/tools/export', '', 45, 0, 1, '2023-08-22 14:31:52', '2023-08-22 14:31:52');
INSERT INTO `cb_crm_menu` VALUES (47, 1, '会员列表', '/user/index', '', 6, 0, 1, '2023-08-22 14:42:04', '2023-08-22 14:42:04');
INSERT INTO `cb_crm_menu` VALUES (48, 1, '会员等级', '/user/grade/index', '', 6, 0, 1, '2023-08-22 14:42:19', '2023-08-22 14:42:19');
INSERT INTO `cb_crm_menu` VALUES (49, 1, '余额记录', '/user/balance', '', 6, 0, 1, '2023-08-22 14:42:32', '2023-08-22 14:42:53');
INSERT INTO `cb_crm_menu` VALUES (50, 1, '充值记录', '/user/recharge/index', '', 49, 0, 1, '2023-08-22 14:43:18', '2023-08-22 14:43:18');
INSERT INTO `cb_crm_menu` VALUES (51, 1, '余额明细', '/user/balance/index', '', 49, 0, 1, '2023-08-22 14:43:29', '2023-08-22 14:43:29');
INSERT INTO `cb_crm_menu` VALUES (52, 1, '内容管理', '/content/article', '', 7, 0, 1, '2023-08-22 14:43:57', '2023-08-22 14:43:57');
INSERT INTO `cb_crm_menu` VALUES (53, 1, '资讯列表', '/content/article/index', '', 52, 0, 1, '2023-08-22 14:44:17', '2023-08-22 14:44:17');
INSERT INTO `cb_crm_menu` VALUES (54, 1, '资讯分类', '/content/article/category/index', '', 52, 0, 1, '2023-08-22 14:44:29', '2023-08-22 14:44:29');
INSERT INTO `cb_crm_menu` VALUES (55, 1, '广告管理', '/content/block/index', '', 52, 0, 1, '2023-08-22 14:44:43', '2023-08-22 14:44:43');
INSERT INTO `cb_crm_menu` VALUES (56, 1, '友情链接', '/content/friendlink/index', '', 52, 0, 1, '2023-08-22 14:44:55', '2023-08-22 14:44:55');
INSERT INTO `cb_crm_menu` VALUES (57, 1, '通知公告', '/content/notice/index', '', 52, 0, 1, '2023-08-22 14:45:06', '2023-08-22 14:45:06');
INSERT INTO `cb_crm_menu` VALUES (58, 1, '附件', '/content/files', '', 7, 0, 1, '2023-08-22 14:45:28', '2023-08-22 14:45:28');
INSERT INTO `cb_crm_menu` VALUES (59, 1, '附件列表', '/content/files/index', '', 58, 0, 1, '2023-08-22 14:45:48', '2023-08-22 14:45:48');
INSERT INTO `cb_crm_menu` VALUES (60, 1, '附件分组', '/content/files/group/index', '', 58, 0, 1, '2023-08-22 14:46:01', '2023-08-22 14:46:01');
INSERT INTO `cb_crm_menu` VALUES (61, 1, '优惠券', '/market/coupon', '', 8, 0, 1, '2023-08-22 14:46:48', '2023-08-22 14:46:48');
INSERT INTO `cb_crm_menu` VALUES (62, 1, '会员充值', '/market/recharge', '', 8, 0, 1, '2023-08-22 14:47:06', '2023-08-22 14:47:06');
INSERT INTO `cb_crm_menu` VALUES (63, 1, '积分管理', '/market/points', '', 8, 0, 1, '2023-08-22 14:47:18', '2023-08-22 14:47:18');
INSERT INTO `cb_crm_menu` VALUES (64, 1, '满额包邮', '/market/full-free', '', 8, 0, 1, '2023-08-22 14:47:31', '2023-08-22 14:47:31');
INSERT INTO `cb_crm_menu` VALUES (65, 1, '优惠券列表', '/market/coupon/index', '', 61, 0, 1, '2023-08-22 14:47:58', '2023-08-22 14:47:58');
INSERT INTO `cb_crm_menu` VALUES (66, 2, '创建优惠券', '/market/coupon/create', 'add', 65, 0, 1, '2023-08-22 14:48:50', '2023-08-22 14:48:50');
INSERT INTO `cb_crm_menu` VALUES (67, 2, '编辑优惠券', '/market/coupon/update', 'edit', 65, 0, 1, '2023-08-22 14:49:05', '2023-08-22 14:49:05');
INSERT INTO `cb_crm_menu` VALUES (68, 1, '领券记录', '/market/coupon/receive/index', '', 61, 0, 1, '2023-08-22 14:49:34', '2023-08-22 14:49:34');
INSERT INTO `cb_crm_menu` VALUES (69, 1, '充值套餐', '/market/recharge/plan/index', '', 62, 0, 1, '2023-08-22 14:49:57', '2023-08-22 14:49:57');
INSERT INTO `cb_crm_menu` VALUES (70, 1, '充值设置', '/market/recharge/setting', '', 62, 0, 1, '2023-08-22 14:50:07', '2023-08-22 14:50:07');
INSERT INTO `cb_crm_menu` VALUES (71, 1, '积分设置', '/market/score/setting', '', 63, 0, 1, '2023-08-22 14:50:53', '2023-08-22 14:50:53');
INSERT INTO `cb_crm_menu` VALUES (72, 1, '积分明细', '/market/score/log', '', 63, 0, 1, '2023-08-22 14:51:03', '2023-08-22 14:51:03');
INSERT INTO `cb_crm_menu` VALUES (73, 1, '经营报表', '/statistics/management', '', 9, 0, 1, '2023-08-22 14:51:42', '2023-08-22 14:51:42');
INSERT INTO `cb_crm_menu` VALUES (74, 1, '微信配置', '/client/wxapp', '', 10, 0, 1, '2023-08-22 14:53:06', '2023-08-22 14:53:06');
INSERT INTO `cb_crm_menu` VALUES (75, 1, '微信支付', '/client/wxapp/setting', '', 74, 0, 1, '2023-08-22 14:53:27', '2023-08-22 14:53:27');
INSERT INTO `cb_crm_menu` VALUES (76, 1, '移动端', '/client/h5', '', 10, 0, 1, '2023-08-22 14:55:10', '2023-08-22 14:55:10');
INSERT INTO `cb_crm_menu` VALUES (77, 1, 'H5端设置', '/client/h5/setting', '', 76, 0, 1, '2023-08-22 14:55:28', '2023-08-22 14:55:28');
INSERT INTO `cb_crm_menu` VALUES (78, 1, 'PC端设置', '/client/pc', '', 10, 0, 1, '2023-08-22 14:55:44', '2023-08-22 14:55:44');
INSERT INTO `cb_crm_menu` VALUES (79, 1, '网站菜单', '/content/menu/index', '', 78, 0, 1, '2023-08-22 14:55:59', '2023-08-22 14:55:59');
INSERT INTO `cb_crm_menu` VALUES (80, 1, '网站配置', '/client/pc/setting', '', 78, 0, 1, '2023-08-22 14:56:08', '2023-08-22 14:56:08');
INSERT INTO `cb_crm_menu` VALUES (81, 1, '商城设置', '/setting/store', '', 11, 0, 1, '2023-08-22 15:01:53', '2023-08-22 15:01:53');
INSERT INTO `cb_crm_menu` VALUES (82, 1, '导航设置', '/setting/nav', '', 11, 0, 1, '2023-08-22 15:02:09', '2023-08-22 15:02:09');
INSERT INTO `cb_crm_menu` VALUES (83, 1, '数据字典', '/config/dictionary', '', 11, 0, 1, '2023-08-22 15:02:20', '2023-08-22 15:02:20');
INSERT INTO `cb_crm_menu` VALUES (84, 1, '交易设置', '/setting/trade', '', 11, 0, 1, '2023-08-22 15:02:36', '2023-08-22 15:02:36');
INSERT INTO `cb_crm_menu` VALUES (85, 1, '短信通知', '/setting/sms', '', 11, 0, 1, '2023-08-22 15:02:53', '2023-08-22 15:02:53');
INSERT INTO `cb_crm_menu` VALUES (86, 1, '配送设置', '/setting/delivery', '', 11, 0, 1, '2023-08-22 15:03:29', '2023-08-22 15:03:29');
INSERT INTO `cb_crm_menu` VALUES (87, 1, '配送方式', '/setting/delivery/setting', '', 86, 0, 1, '2023-08-22 15:03:40', '2023-08-22 15:04:11');
INSERT INTO `cb_crm_menu` VALUES (88, 1, '运费模板', '/setting/delivery/template/index', '', 86, 0, 1, '2023-08-22 15:04:00', '2023-08-22 15:04:00');
INSERT INTO `cb_crm_menu` VALUES (89, 2, '新增运费模板', '/setting/delivery/template/create', 'add', 86, 0, 1, '2023-08-22 15:04:31', '2023-08-22 15:04:41');
INSERT INTO `cb_crm_menu` VALUES (90, 2, '编辑运费模板', '/setting/delivery/template/update', 'edit', 86, 0, 1, '2023-08-22 15:05:09', '2023-08-22 15:05:09');
INSERT INTO `cb_crm_menu` VALUES (91, 2, '物流公司', '/setting/delivery/express/index', 'edit', 86, 0, 1, '2023-08-22 15:05:24', '2023-08-22 15:05:24');
INSERT INTO `cb_crm_menu` VALUES (92, 1, '其他设置', '/setting/other', '', 11, 0, 1, '2023-08-22 15:05:55', '2023-08-22 15:06:06');
INSERT INTO `cb_crm_menu` VALUES (93, 1, '地址管理', '/config/address/index', '', 92, 0, 1, '2023-08-22 15:06:22', '2023-08-22 15:06:22');
INSERT INTO `cb_crm_menu` VALUES (94, 2, '查看客户', '-', 'detail', 12, 0, 1, '2023-08-22 17:39:56', '2023-08-22 17:39:56');
INSERT INTO `cb_crm_menu` VALUES (95, 2, '删除客户', '-', 'delete', 12, 0, 1, '2023-08-22 17:42:32', '2023-08-23 08:59:18');
INSERT INTO `cb_crm_menu` VALUES (96, 2, '添加联系人', '-', 'add', 15, 0, 1, '2023-08-23 08:58:15', '2023-08-23 08:58:15');
INSERT INTO `cb_crm_menu` VALUES (97, 2, '编辑联系人', '-', 'edit', 15, 0, 1, '2023-08-23 08:58:30', '2023-08-23 08:58:30');
INSERT INTO `cb_crm_menu` VALUES (98, 2, '删除联系人', '-', 'delete', 15, 0, 1, '2023-08-23 08:58:42', '2023-08-23 08:59:26');
INSERT INTO `cb_crm_menu` VALUES (99, 2, '删除商品', '-', 'delete', 16, 0, 1, '2023-08-23 09:02:23', '2023-08-23 09:02:23');
INSERT INTO `cb_crm_menu` VALUES (100, 2, '添加分类', '-', 'add', 19, 0, 1, '2023-08-23 09:02:57', '2023-08-23 09:02:57');
INSERT INTO `cb_crm_menu` VALUES (101, 2, '编辑分类', '-', 'edit', 19, 0, 1, '2023-08-23 09:03:07', '2023-08-23 09:03:07');
INSERT INTO `cb_crm_menu` VALUES (102, 2, '删除分类', '-', 'delete', 19, 0, 1, '2023-08-23 09:03:18', '2023-08-23 09:03:18');
INSERT INTO `cb_crm_menu` VALUES (103, 2, '查看', '-', 'detail', 20, 0, 1, '2023-08-23 09:39:01', '2023-08-23 09:39:01');
INSERT INTO `cb_crm_menu` VALUES (104, 2, '编辑', '-', 'edit', 20, 0, 1, '2023-08-23 09:39:13', '2023-08-23 09:39:13');
INSERT INTO `cb_crm_menu` VALUES (105, 2, '删除', '-', 'delete', 20, 0, 1, '2023-08-23 09:39:26', '2023-08-23 09:39:26');
INSERT INTO `cb_crm_menu` VALUES (106, 2, '查看', '-', 'detail', 21, 0, 1, '2023-08-23 09:41:39', '2023-08-23 09:41:39');
INSERT INTO `cb_crm_menu` VALUES (107, 2, '修改状态', '-', 'edit', 21, 0, 1, '2023-08-23 09:41:53', '2023-08-23 09:41:53');
INSERT INTO `cb_crm_menu` VALUES (108, 2, '删除', '-', 'delete', 21, 0, 1, '2023-08-23 09:42:15', '2023-08-23 09:42:15');
INSERT INTO `cb_crm_menu` VALUES (109, 2, '上传发文', '-', 'add', 22, 0, 1, '2023-08-23 09:43:35', '2023-08-23 09:43:35');
INSERT INTO `cb_crm_menu` VALUES (110, 2, '编辑发文', '-', 'edit', 22, 0, 1, '2023-08-23 09:43:52', '2023-08-23 09:43:52');
INSERT INTO `cb_crm_menu` VALUES (111, 2, '删除发文', '-', 'delete', 22, 0, 1, '2023-08-23 09:44:04', '2023-08-23 09:44:04');
INSERT INTO `cb_crm_menu` VALUES (112, 2, '查看', '-', 'detail', 23, 0, 1, '2023-08-23 09:45:11', '2023-08-23 09:45:27');
INSERT INTO `cb_crm_menu` VALUES (113, 2, '编辑', '-', 'edit', 23, 0, 1, '2023-08-23 09:45:36', '2023-08-23 09:45:36');
INSERT INTO `cb_crm_menu` VALUES (114, 2, '删除', '-', 'delete', 23, 0, 1, '2023-08-23 09:45:46', '2023-08-23 09:45:46');
INSERT INTO `cb_crm_menu` VALUES (115, 2, '删除', '-', 'delete', 24, 0, 1, '2023-08-23 09:46:37', '2023-08-23 09:46:37');
INSERT INTO `cb_crm_menu` VALUES (116, 2, '查看', '-', 'detail', 24, 0, 1, '2023-08-23 09:46:48', '2023-08-23 09:46:48');
INSERT INTO `cb_crm_menu` VALUES (117, 2, '审核', '-', 'edit', 24, 0, 1, '2023-08-23 09:46:55', '2023-08-23 09:46:55');
INSERT INTO `cb_crm_menu` VALUES (118, 2, '编辑', '-', 'edit', 25, 0, 1, '2023-08-23 09:47:58', '2023-08-23 09:47:58');
INSERT INTO `cb_crm_menu` VALUES (119, 2, '删除', '-', 'delete', 25, 0, 1, '2023-08-23 09:48:08', '2023-08-23 09:48:08');
INSERT INTO `cb_crm_menu` VALUES (120, 2, '新增', '-', 'add', 25, 0, 1, '2023-08-23 09:48:34', '2023-08-23 09:48:34');
INSERT INTO `cb_crm_menu` VALUES (121, 2, '查看材料', '-', 'detail', 28, 0, 1, '2023-08-23 09:49:19', '2023-08-23 09:49:19');
INSERT INTO `cb_crm_menu` VALUES (122, 2, '删除', '-', 'delete', 28, 0, 1, '2023-08-23 09:49:28', '2023-08-23 09:49:28');
INSERT INTO `cb_crm_menu` VALUES (123, 2, '删除', '-', 'delete', 29, 0, 1, '2023-08-23 09:57:02', '2023-08-23 09:57:02');
INSERT INTO `cb_crm_menu` VALUES (124, 2, '新增', '-', 'add', 29, 0, 1, '2023-08-23 09:57:13', '2023-08-23 09:57:13');
INSERT INTO `cb_crm_menu` VALUES (125, 2, '编辑', '-', 'edit', 29, 0, 1, '2023-08-23 09:57:37', '2023-08-23 09:57:37');
INSERT INTO `cb_crm_menu` VALUES (126, 2, '编辑', '-', 'edit', 31, 0, 1, '2023-08-23 09:58:20', '2023-08-23 09:58:20');
INSERT INTO `cb_crm_menu` VALUES (127, 2, '删除', '-', 'delete', 31, 0, 1, '2023-08-23 09:58:34', '2023-08-23 09:58:34');
INSERT INTO `cb_crm_menu` VALUES (128, 2, '新增', '-', 'add', 31, 0, 1, '2023-08-23 09:58:44', '2023-08-23 09:58:44');
INSERT INTO `cb_crm_menu` VALUES (129, 2, '新增', '-', 'add', 32, 0, 1, '2023-08-23 09:58:54', '2023-08-23 09:58:54');
INSERT INTO `cb_crm_menu` VALUES (130, 2, '编辑', '-', 'edit', 32, 0, 1, '2023-08-23 09:59:03', '2023-08-23 09:59:03');
INSERT INTO `cb_crm_menu` VALUES (131, 2, '删除', '-', 'delete', 32, 0, 1, '2023-08-23 09:59:14', '2023-08-23 09:59:14');
INSERT INTO `cb_crm_menu` VALUES (132, 2, '删除', '-', 'delete', 33, 0, 1, '2023-08-23 09:59:31', '2023-08-23 09:59:31');
INSERT INTO `cb_crm_menu` VALUES (133, 2, '编辑', '-', 'edit', 33, 0, 1, '2023-08-23 09:59:39', '2023-08-23 09:59:39');
INSERT INTO `cb_crm_menu` VALUES (134, 2, '新增', '-', 'add', 33, 0, 1, '2023-08-23 09:59:45', '2023-08-23 09:59:45');
INSERT INTO `cb_crm_menu` VALUES (135, 2, '新增', '-', 'add', 34, 0, 1, '2023-08-23 09:59:56', '2023-08-23 09:59:56');
INSERT INTO `cb_crm_menu` VALUES (136, 2, '编辑', '-', 'edit', 34, 0, 1, '2023-08-23 10:00:03', '2023-08-23 10:00:03');
INSERT INTO `cb_crm_menu` VALUES (137, 2, '删除', '-', 'delete', 34, 0, 1, '2023-08-23 10:00:19', '2023-08-23 10:01:15');
INSERT INTO `cb_crm_menu` VALUES (138, 2, '删除', '-', 'delete', 35, 0, 1, '2023-08-23 10:00:29', '2023-08-23 10:01:07');
INSERT INTO `cb_crm_menu` VALUES (139, 2, '编辑', '-', 'edit', 35, 0, 1, '2023-08-23 10:00:39', '2023-08-23 10:00:39');
INSERT INTO `cb_crm_menu` VALUES (140, 2, '新增', '-', 'add', 35, 0, 1, '2023-08-23 10:00:53', '2023-08-23 10:00:53');
INSERT INTO `cb_crm_menu` VALUES (141, 2, '发货', '-', 'deliver', 36, 0, 1, '2023-08-23 10:17:10', '2023-08-23 10:17:10');
INSERT INTO `cb_crm_menu` VALUES (142, 2, '审核取消', '-', 'cancel', 36, 0, 1, '2023-08-23 10:17:23', '2023-08-23 10:17:23');
INSERT INTO `cb_crm_menu` VALUES (143, 2, '审核', '-', 'audit', 43, 0, 1, '2023-08-23 10:18:04', '2023-08-23 10:18:04');
INSERT INTO `cb_crm_menu` VALUES (144, 2, '确认收货', '-', 'receipt', 43, 0, 1, '2023-08-23 10:18:20', '2023-08-23 10:18:20');
INSERT INTO `cb_crm_menu` VALUES (145, 2, '删除订单', '-', 'delete', 36, 0, 1, '2023-08-23 10:19:41', '2023-08-23 10:19:41');
INSERT INTO `cb_crm_menu` VALUES (146, 2, '查看', '-', 'detail', 47, 0, 1, '2023-08-23 10:24:09', '2023-08-23 10:24:09');
INSERT INTO `cb_crm_menu` VALUES (147, 2, '充值', '-', 'recharge', 47, 0, 1, '2023-08-23 10:24:19', '2023-08-23 10:24:19');
INSERT INTO `cb_crm_menu` VALUES (148, 2, '等级', '-', 'grade', 47, 0, 1, '2023-08-23 10:24:29', '2023-08-23 10:24:29');
INSERT INTO `cb_crm_menu` VALUES (149, 2, '删除', '-', 'delete', 47, 0, 1, '2023-08-23 10:24:39', '2023-08-23 10:24:39');
INSERT INTO `cb_crm_menu` VALUES (150, 2, '删除', '-', 'delete', 48, 0, 1, '2023-08-23 10:26:46', '2023-08-23 10:26:46');
INSERT INTO `cb_crm_menu` VALUES (151, 2, '编辑', '-', 'edit', 48, 0, 1, '2023-08-23 10:26:56', '2023-08-23 10:26:56');
INSERT INTO `cb_crm_menu` VALUES (152, 2, '新增', '-', 'add', 48, 0, 1, '2023-08-23 10:27:04', '2023-08-23 10:27:04');
INSERT INTO `cb_crm_menu` VALUES (153, 2, '新增', '-', 'add', 53, 0, 1, '2023-08-23 09:59:56', '2023-08-23 09:59:56');
INSERT INTO `cb_crm_menu` VALUES (154, 2, '编辑', '-', 'edit', 53, 0, 1, '2023-08-23 10:00:03', '2023-08-23 10:00:03');
INSERT INTO `cb_crm_menu` VALUES (155, 2, '删除', '-', 'delete', 53, 0, 1, '2023-08-23 10:00:19', '2023-08-23 10:01:15');
INSERT INTO `cb_crm_menu` VALUES (156, 2, '新增', '-', 'add', 54, 0, 1, '2023-08-23 09:59:56', '2023-08-23 09:59:56');
INSERT INTO `cb_crm_menu` VALUES (157, 2, '编辑', '-', 'edit', 54, 0, 1, '2023-08-23 10:00:03', '2023-08-23 10:00:03');
INSERT INTO `cb_crm_menu` VALUES (158, 2, '删除', '-', 'delete', 54, 0, 1, '2023-08-23 10:00:19', '2023-08-23 10:01:15');
INSERT INTO `cb_crm_menu` VALUES (159, 2, '新增', '-', 'add', 55, 0, 1, '2023-08-23 09:59:56', '2023-08-23 09:59:56');
INSERT INTO `cb_crm_menu` VALUES (160, 2, '编辑', '-', 'edit', 55, 0, 1, '2023-08-23 10:00:03', '2023-08-23 10:00:03');
INSERT INTO `cb_crm_menu` VALUES (161, 2, '删除', '-', 'delete', 55, 0, 1, '2023-08-23 10:00:19', '2023-08-23 10:01:15');
INSERT INTO `cb_crm_menu` VALUES (162, 2, '新增', '-', 'add', 56, 0, 1, '2023-08-23 09:59:56', '2023-08-23 09:59:56');
INSERT INTO `cb_crm_menu` VALUES (163, 2, '编辑', '-', 'edit', 56, 0, 1, '2023-08-23 10:00:03', '2023-08-23 10:00:03');
INSERT INTO `cb_crm_menu` VALUES (164, 2, '删除', '-', 'delete', 56, 0, 1, '2023-08-23 10:00:19', '2023-08-23 10:01:15');
INSERT INTO `cb_crm_menu` VALUES (165, 2, '新增', '-', 'add', 57, 0, 1, '2023-08-23 09:59:56', '2023-08-23 09:59:56');
INSERT INTO `cb_crm_menu` VALUES (166, 2, '编辑', '-', 'edit', 57, 0, 1, '2023-08-23 10:00:03', '2023-08-23 10:00:03');
INSERT INTO `cb_crm_menu` VALUES (167, 2, '删除', '-', 'delete', 57, 0, 1, '2023-08-23 10:00:19', '2023-08-23 10:01:15');
INSERT INTO `cb_crm_menu` VALUES (168, 2, '编辑', '-', 'edit', 59, 0, 1, '2023-08-23 10:00:03', '2023-08-23 10:00:03');
INSERT INTO `cb_crm_menu` VALUES (169, 2, '删除', '-', 'delete', 59, 0, 1, '2023-08-23 10:00:19', '2023-08-23 10:01:15');
INSERT INTO `cb_crm_menu` VALUES (170, 2, '新增', '-', 'add', 60, 0, 1, '2023-08-23 09:59:56', '2023-08-23 09:59:56');
INSERT INTO `cb_crm_menu` VALUES (171, 2, '编辑', '-', 'edit', 60, 0, 1, '2023-08-23 10:00:03', '2023-08-23 10:00:03');
INSERT INTO `cb_crm_menu` VALUES (172, 2, '删除', '-', 'delete', 60, 0, 1, '2023-08-23 10:00:19', '2023-08-23 10:01:15');
INSERT INTO `cb_crm_menu` VALUES (173, 2, '删除', '-', 'delete', 65, 0, 1, '2023-08-23 10:00:19', '2023-08-23 10:01:15');
INSERT INTO `cb_crm_menu` VALUES (174, 2, '新增', '-', 'add', 69, 0, 1, '2023-08-23 09:59:56', '2023-08-23 09:59:56');
INSERT INTO `cb_crm_menu` VALUES (175, 2, '编辑', '-', 'edit', 69, 0, 1, '2023-08-23 10:00:03', '2023-08-23 10:00:03');
INSERT INTO `cb_crm_menu` VALUES (176, 2, '删除', '-', 'delete', 69, 0, 1, '2023-08-23 10:00:19', '2023-08-23 10:01:15');
INSERT INTO `cb_crm_menu` VALUES (177, 2, '新增', '-', 'add', 79, 0, 1, '2023-08-23 09:59:56', '2023-08-23 09:59:56');
INSERT INTO `cb_crm_menu` VALUES (178, 2, '编辑', '-', 'edit', 79, 0, 1, '2023-08-23 10:00:03', '2023-08-23 10:00:03');
INSERT INTO `cb_crm_menu` VALUES (179, 2, '删除', '-', 'delete', 79, 0, 1, '2023-08-23 10:00:19', '2023-08-23 10:01:15');
INSERT INTO `cb_crm_menu` VALUES (180, 2, '同步系统菜单', '-', 'sync', 79, 0, 1, '2023-08-23 10:00:19', '2023-08-23 10:01:15');
INSERT INTO `cb_crm_menu` VALUES (181, 2, '新增', '-', 'add', 82, 0, 1, '2023-08-23 09:59:56', '2023-08-23 09:59:56');
INSERT INTO `cb_crm_menu` VALUES (182, 2, '编辑', '-', 'edit', 82, 0, 1, '2023-08-23 10:00:03', '2023-08-23 10:00:03');
INSERT INTO `cb_crm_menu` VALUES (183, 2, '删除', '-', 'delete', 82, 0, 1, '2023-08-23 10:00:19', '2023-08-23 10:01:15');
INSERT INTO `cb_crm_menu` VALUES (184, 2, '新增', '-', 'add', 83, 0, 1, '2023-08-23 09:59:56', '2023-08-23 09:59:56');
INSERT INTO `cb_crm_menu` VALUES (185, 2, '编辑', '-', 'edit', 83, 0, 1, '2023-08-23 10:00:03', '2023-08-23 10:00:03');
INSERT INTO `cb_crm_menu` VALUES (186, 2, '删除', '-', 'delete', 83, 0, 1, '2023-08-23 10:00:19', '2023-08-23 10:01:15');
INSERT INTO `cb_crm_menu` VALUES (187, 2, '删除', '-', 'delete', 88, 0, 1, '2023-08-23 10:00:19', '2023-08-23 10:01:15');
INSERT INTO `cb_crm_menu` VALUES (188, 2, '新增', '-', 'add', 91, 0, 1, '2023-08-23 09:59:56', '2023-08-23 09:59:56');
INSERT INTO `cb_crm_menu` VALUES (189, 2, '编辑', '-', 'edit', 91, 0, 1, '2023-08-23 10:00:03', '2023-08-23 10:00:03');
INSERT INTO `cb_crm_menu` VALUES (190, 2, '删除', '-', 'delete', 91, 0, 1, '2023-08-23 10:00:19', '2023-08-23 10:01:15');
INSERT INTO `cb_crm_menu` VALUES (191, 2, '新增', '-', 'add', 93, 0, 1, '2023-08-23 09:59:56', '2023-08-23 09:59:56');
INSERT INTO `cb_crm_menu` VALUES (192, 2, '编辑', '-', 'edit', 93, 0, 1, '2023-08-23 10:00:03', '2023-08-23 10:00:03');
INSERT INTO `cb_crm_menu` VALUES (193, 2, '删除', '-', 'delete', 93, 0, 1, '2023-08-23 10:00:19', '2023-08-23 10:01:15');
INSERT INTO `cb_crm_menu` VALUES (194, 1, '权限管理', '/manage', '', 92, 0, 1, '2023-08-23 13:37:47', '2023-08-23 13:37:47');
INSERT INTO `cb_crm_menu` VALUES (195, 1, '组织架构', '/manage/department/index', '', 194, 0, 1, '2023-08-23 13:38:14', '2023-08-23 13:38:14');
INSERT INTO `cb_crm_menu` VALUES (196, 1, '职位角色', '/manage/role/index', '', 194, 0, 1, '2023-08-23 13:38:26', '2023-08-23 13:38:26');
INSERT INTO `cb_crm_menu` VALUES (197, 1, '员工管理', '/manage/user/index', '', 194, 0, 1, '2023-08-23 13:38:38', '2023-08-23 13:38:38');
INSERT INTO `cb_crm_menu` VALUES (198, 2, '新增', '-', 'add', 195, 0, 1, '2023-08-23 09:59:56', '2023-08-23 09:59:56');
INSERT INTO `cb_crm_menu` VALUES (199, 2, '编辑', '-', 'edit', 195, 0, 1, '2023-08-23 10:00:03', '2023-08-23 10:00:03');
INSERT INTO `cb_crm_menu` VALUES (200, 2, '删除', '-', 'delete', 195, 0, 1, '2023-08-23 10:00:19', '2023-08-23 10:01:15');
INSERT INTO `cb_crm_menu` VALUES (201, 2, '新增', '-', 'add', 196, 0, 1, '2023-08-23 09:59:56', '2023-08-23 09:59:56');
INSERT INTO `cb_crm_menu` VALUES (202, 2, '编辑', '-', 'edit', 196, 0, 1, '2023-08-23 10:00:03', '2023-08-23 10:00:03');
INSERT INTO `cb_crm_menu` VALUES (203, 2, '删除', '-', 'delete', 196, 0, 1, '2023-08-23 10:00:19', '2023-08-23 10:01:15');
INSERT INTO `cb_crm_menu` VALUES (204, 2, '新增', '-', 'add', 197, 0, 1, '2023-08-23 09:59:56', '2023-08-23 09:59:56');
INSERT INTO `cb_crm_menu` VALUES (205, 2, '编辑', '-', 'edit', 197, 0, 1, '2023-08-23 10:00:03', '2023-08-23 10:00:03');
INSERT INTO `cb_crm_menu` VALUES (206, 2, '删除', '-', 'delete', 197, 0, 1, '2023-08-23 10:00:19', '2023-08-23 10:01:15');